---
lang: en
title: 'API docs: rest.normalizeparsingerror'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.normalizeparsingerror.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [normalizeParsingError](./rest.normalizeparsingerror.md)

## normalizeParsingError() function

Normalize parsing errors as `4xx`

<b>Signature:</b>

```typescript
export declare function normalizeParsingError(err: HttpError): HttpError;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  err | HttpError |  |

<b>Returns:</b>

HttpError


